package com.gingersoft.gsa.other_order_mode.ui.activity

fun main() {
    var aaa = "1234567891023456789"
    var cd = aaa.length / 2

    var buffer = StringBuffer()

    if (cd >= 5) {
        cd = aaa.length - 5
    }
    repeat(cd) {
        buffer.append("*")
    }
    var bbb = aaa.substring(0, 1)
    var ccc = aaa.substring(cd + 1, aaa.length)

    print(bbb + buffer.toString() + ccc)
}